{% extends "plantilla.html"%}
{% block contenido%}
{% load static %}
<div class="main-container">
  <div class="pd-ltr-20">
    <div class="card-box pd-20 height-100-p mb-30">
      <div class="row align-items-center">
        <div class="col-md-4">
          <h4 class="font-20 weight-500 mb-10 text-capitalize">
            FACTURACION <div class="weight-600 font-30 text-blue">
              <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
                Agregar Factura
              </button>
          </div>
          </h4>

        </div>
        <div class="col-md-8">

      </div>

    </div>
    </div>
    <table id="miTabla" class="display"cellspacing="0" width="100%" id="mitab">
      <thead>
        <tr>
          <th>ID</th>
          <th>FECHA DE EMISION</th>
          <th>SUBTOTAL</th>
          <th>TOTAL</th>
          <th>ACCCIONES</th>
          <!-- Puedes agregar más columnas según tus necesidades -->
        </tr>
      </thead>
      <tbody>
        {% for factura in facturas %}
          <tr>
            <td>{{ factura.id_fac }}</td>
            <td>{{ factura.fecha_emision }}</td>
            <td>{{ factura.subtotal }}</td>
            <td>{{ factura.total }}</td>
            <td>
              <a href="/editarFacturas/{{factura.id_fac}}" class="btn btn-warning">Editar</a>
              <a href="javascript:void(0)"onclick="eliminarM('/eliminarFacturas/{{factura.id_fac}}');" class="btn btn-danger"> Eliminar </a>
            </td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
    <script type="text/javascript">
    $(document).ready(function() {
        $('#miTabla').DataTable({
            dom: 'Bfrtip',
            buttons: [
                {
                    extend: 'pdfHtml5',
                    messageTop: 'PDF created by PDFMake with Buttons for DataTables.'
                },
                'print',
                'csv'
            ],
            "language": {
                "url": "https://cdn.datatables.net/plug-ins/1.11.5/i18n/Spanish.json" // Cambia a la URL correcta del archivo de idioma español
            }
            // Puedes agregar más opciones según tus requisitos
        });
    });
</script>
</div>
</div>
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form action="/guardarFacturas/" method="post"  id="frm_nuevo_facturacion">
        {% csrf_token %}
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label for="especialidad">Subtotal</label>
                        <input type="text" name="subtotal" id="subtotal" value="" placeholder="Ingrese el subtotal" class="form-control" >
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label for="telefono">Ingrese Total</label>
                        <input type="text" name="total" id="total" value="" placeholder="Ingrese el total" class="form-control" >
                    </div>
                </div>
            </div>
            <div class="row">
            </div>
            <div class="row">
                <div class="col-md-12 text-center">
                    <button type="submit" class="btn btn-primary">Guardar</button>
                    <a type="button" class="btn btn-danger" href="/listadoFacturas/">Cancelar</a>
                </div>
            </div>
        </div>
    </form>

    <script type="text/javascript">
        $(document).ready(function () {
            $("#frm_nuevo_facturacion").validate({
                rules: {
                    subtotal: {
                        required: true,
                        number: true,
                        min: 0
                    },
                    total: {
                        required: true,
                        number: true,
                        min: 0
                    }
                },
                messages: {
                    subtotal: {
                        required: "Este campo es obligatorio",
                        number: "Ingrese solo números",
                        min: "Ingrese un número positivo"
                    },
                    total: {
                        required: "Este campo es obligatorio",
                        number: "Ingrese solo números",
                        min: "Ingrese un número positivo"
                    }
                }
            });
        });
    </script>

    </div>
  </div>
</div>
{% endblock %}
